<?php

namespace Drupal\gcommerce;

use Drupal\Core\DependencyInjection\ContainerBuilder;
use Drupal\Core\DependencyInjection\ServiceProviderBase;
use Symfony\Component\DependencyInjection\Reference;

class GcommerceServiceProvider extends ServiceProviderBase {

  /**
   * {@inheritdoc}
   */
  public function register(ContainerBuilder $container) {
    // We cannot use the module handler as the container is not yet compiled.
    // @see \Drupal\Core\DrupalKernel::compileContainer()
    $modules = $container->getParameter('container.modules');

    // Swap the addressbook service with our own if both commerce_order and
    // the gprofile modules are enabled.
    if (isset($modules['commerce_order'], $modules['gprofile'])) {
      $container->getDefinition('commerce_order.address_book')
        ->setClass(AddressBook::class)
        ->addArgument(new Reference('group.membership_loader'));
    }
  }

}
