<?php

namespace Drupal\gcommerce\Plugin\GroupContentEnabler;

use Drupal\Core\Form\FormStateInterface;
use Drupal\gprofile\Plugin\GroupContentEnabler\GroupProfile as GroupProfileBase;

/**
 * Extends the group_profile group content enabler with additional settings.
 */
class GroupProfile extends GroupProfileBase {

  /**
   * {@inheritdoc}
   */
  public function defaultConfiguration() {
    return parent::defaultConfiguration() + [
      'addressbook_list_group_profiles' => FALSE,
    ];
  }

  /**
   * {@inheritdoc}
   */
  public function buildConfigurationForm(array $form, FormStateInterface $form_state) {
    $form = parent::buildConfigurationForm($form, $form_state);

    $form['addressbook_list_group_profiles'] = [
      '#type' => 'checkbox',
      '#title' => $this->t('Addressbook: List only group profiles'),
      '#description' => $this->t('Whether the addressbook should list only customer profiles belonging to groups the customer is a member of.'),
      '#default_value' => $this->configuration['addressbook_list_group_profiles'],
    ];

    return $form;
  }

}
